D2xxManager.FtDeviceInfoListNode

com.ftdi.j2xx

## Class D2xxManager.FtDeviceInfoListNode

- java.lang.Object
- - com.ftdi.j2xx.D2xxManager.FtDeviceInfoListNode

- Enclosing class:
    D2xxManager

      public static class D2xxManager.FtDeviceInfoListNode
      extends java.lang.Object

  Information about a connected FTDI device. The `D2xxManager.getDeviceInfoListDetail(int)` returns one of these structures; the `D2xxManager.getDeviceInfoList(int, com.ftdi.j2xx.D2xxManager.FtDeviceInfoListNode[])` method returns an array of these structures.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `bcdDevice` Indicate USB specification release number(BCD).
    `int` | `breakOnParam` Indicate breakOnParam variable to representation UART break status Default value is 0x0008; Device can set break on via `FT_Device.setBreakOn()` method.
    `java.lang.String` | `description` Description string for FT device, if available.
    `int` | `flags` Indicates if device is already open (`D2xxManager.FT_FLAGS_OPENED`), or supports hi-speed (`D2xxManager.FT_FLAGS_HI_SPEED`).
    `int` | `handle` Reserve
    `int` | `id` Reserve
    `byte` | `iSerialNumber` iSerialNumber field on the USB Device Descriptor.
    `short` | `lineStatus` Indicate lineStatus variable to representation UART line status Device can get line status via `FT_Device.getLineStatus()` method.
    `int` | `location` location number for FT device, if available.
    `short` | `modemStatus` Indicate modemStatus variable to representation UART modem status Device can get modem status via `FT_Device.getModemStatus()` method.
    `java.lang.String` | `serialNumber` Serial number string for FT device, if available.
    `int` | `type` Identifies this device in the FTDI family, such as `D2xxManager.FT_DEVICE_232R` or `D2xxManager.FT_DEVICE_X_SERIES`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `D2xxManager.FtDeviceInfoListNode()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flags

          public int flags

      Indicates if device is already open (`D2xxManager.FT_FLAGS_OPENED`), or supports hi-speed (`D2xxManager.FT_FLAGS_HI_SPEED`).

    - #### bcdDevice

          public short bcdDevice

      Indicate USB specification release number(BCD).

    - #### type

          public int type

      Identifies this device in the FTDI family, such as `D2xxManager.FT_DEVICE_232R` or `D2xxManager.FT_DEVICE_X_SERIES`.

    - #### iSerialNumber

          public byte iSerialNumber

      iSerialNumber field on the USB Device Descriptor. Index of string descriptor for the serial number.

    - #### id

          public int id

      Reserve

    - #### location

          public int location

      location number for FT device, if available. Uniquely identifies the device and interface. This may change if another USB device is added to, or removed from, the computer. Device can be open via `D2xxManager.openByLocation(Context, int, com.ftdi.j2xx.D2xxManager.DriverParameters)` method.

    - #### serialNumber

          public java.lang.String serialNumber

      Serial number string for FT device, if available. Device can be open via `D2xxManager.openBySerialNumber(Context, java.lang.String, com.ftdi.j2xx.D2xxManager.DriverParameters)` method.

    - #### description

          public java.lang.String description

      Description string for FT device, if available. Device can be open via `D2xxManager.openByDescription(Context, java.lang.String, com.ftdi.j2xx.D2xxManager.DriverParameters)` method.

    - #### handle

          public int handle

      Reserve

    - #### breakOnParam

          public int breakOnParam

      Indicate breakOnParam variable to representation UART break status Default value is 0x0008; Device can set break on via `FT_Device.setBreakOn()` method. Device can set break off via `FT_Device.setBreakOff()` method.

    - #### modemStatus

          public short modemStatus

      Indicate modemStatus variable to representation UART modem status Device can get modem status via `FT_Device.getModemStatus()` method.

    - #### lineStatus

          public short lineStatus

      Indicate lineStatus variable to representation UART line status Device can get line status via `FT_Device.getLineStatus()` method.

  - ### Constructor Detail

    - #### D2xxManager.FtDeviceInfoListNode

          public D2xxManager.FtDeviceInfoListNode()

About FTDI | FTDI Licence Terms